Bug 490343 - possible bug for python-ldap on RHEL 5.3 x86_64 (code works on i386)
possible bug for python-ldap on RHEL 5.3 x86_64 (code works on i386)
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python-ldap (Show other bugs)
5.0
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Matthew Barnes
BaseOS QE Security Team
http://code.google.com/p/iredmail/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-15 10:38 EDT by Zhang Huangbin
Modified: 2016-10-10 11:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-02 09:21:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix this bug (1.35 KB, patch)
2010-02-20 06:51 EST, TAKEDA Yasuma
no flags Details | Diff

  None (edit)
Description Zhang Huangbin 2009-03-15 10:38:15 EDT
Strange issue: Sample code (from python-ldap-2.3.6/Demo/page_control.py) works on RHEL 5.3 i386, but failed on RHEL 5.3 x86_64. It seems it's a platform depended bug.

Below is error msg:

----
Traceback (most recent call last):
  File "1.py", line 23, in ?
    serverctrls=[lc]
  File "/usr/lib/python2.4/site-packages/python_ldap-2.3.5-py2.4-linux-x86_64.egg/ldap/ldapobject.py", line 495, in search_ext
    EncodeControlTuples(serverctrls),
  File "/usr/lib/python2.4/site-packages/python_ldap-2.3.5-py2.4-linux-x86_64.egg/ldap/controls.py", line 110, in EncodeControlTuples
    result = [
  File "/usr/lib/python2.4/site-packages/python_ldap-2.3.5-py2.4-linux-x86_64.egg/ldap/controls.py", line 45, in getEncodedTuple
    return (self.controlType,self.criticality,self.encodeControlValue(self.controlValue))
  File "/usr/lib/python2.4/site-packages/python_ldap-2.3.5-py2.4-linux-x86_64.egg/ldap/controls.py", line 78, in encodeControlValue
    return _ldap.encode_page_control(size,cookie)
ldap.ENCODING_ERROR
----

My env:

OS: RHEL 5.3, x86_64
Python: python-2.4.3-24.el5 (shipped within RHEL)
python-ldap: 2.2.0-2.1 (shippd within RHEL)
openldap: 2.3.43-3.el5 (shipped within RHEL)
Comment 1 TAKEDA Yasuma 2010-02-20 06:50:20 EST
This bug is fixed in upstream.

http://www.mail-archive.com/python-ldap-dev@lists.sourceforge.net/msg00458.html

I'll atache a patch.
Comment 2 TAKEDA Yasuma 2010-02-20 06:51:06 EST
Created attachment 395245 [details]
fix this bug
Comment 3 Phil Mayers 2011-11-28 06:22:17 EST
This bug is still present in RHEL 5.7 - the 64 bit bugs referenced at the mailing list post above still prevent use of LDAP controls on 64-bit platforms.

Can we get the bug acknowledged, at least?
Comment 4 RHEL Product and Program Management 2013-05-01 02:55:16 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 5 RHEL Product and Program Management 2014-03-07 08:53:21 EST
This bug/component is not included in scope for RHEL-5.11.0 which is the last RHEL5 minor release. This Bugzilla will soon be CLOSED as WONTFIX (at the end of RHEL5.11 development phase (Apr 22, 2014)). Please contact your account manager or support representative in case you need to escalate this bug.
Comment 6 RHEL Product and Program Management 2014-06-02 09:21:57 EDT
Thank you for submitting this request for inclusion in Red Hat Enterprise Linux 5. We've carefully evaluated the request, but are unable to include it in RHEL5 stream. If the issue is critical for your business, please provide additional business justification through the appropriate support channels (https://access.redhat.com/site/support).

Note You need to log in before you can comment on or make changes to this bug.